## dell-recovery 1.63

=== debian/changelog ===
dell-recovery (1.63) eoan; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * Change the order of the kernel parameter options to avoid the propagation
    by accident.
  * Reduce some PyGIWarning messages.

  [ Kevin ]
  * security design to turning on policy kit enforcement

  [ Shih-Yuan Lee (FourDollars) ]
  * Use the regional mirror site instead of the global mirror site.

  [ Kevin ]
  * support RSTe RAID install in dell-recovery

  [ Alex Tu ]
  * secureboot: keep original mok for recovery from disk.
  * refine the code based on comment from PR review.
  * change to log m5sum by hashlib which based on PR response.
  * Refine the wording of the entry of full disk encryption during installation

  [ Ryan Graham ]
  * Adds flag for new initrd format. Use [un]mkinitramfs instead of raw
    compression when set

  [ Mario Limonciello ]
  * update gitignore
  * update standards version
  * correct some instances of is not -> !=
  * correct an instance of copy_file -> copyfile
  * correct some more linting errors
  * trivial: correct python3-progressbar error message
  * Update initrd functions to work properly on 19.10
  * hardcode mkinitramfs/unmkinitramfs paths
  * Search boot/grub and boot/ for efi.img
  * recovery_backend: raise some failures during build if we know it won't work
  * grub: Detect kernel and initramfs extensions
  * debian/control: add ttf-dejavu for recommends
  * rework initrd/uuid generation
  * drop references to initrd.lz, only use initrd going forward
  * trivial: add missing newline character for UUID
  * casper: don't use cache_run_scripts anymore to build ORDER
  * Allow QEMU for debugging/development purposes
  * ubiquity: fix case sensitivity detection for bootloaders
  * remove failsafe entry; not actually useful
  * adjust logic for package installation
  * correct some errors caught by linter
  * move to pyflakes3
  * trivial: add pyflakes3 into CI
  * add the 'nopersistent' flag to allow disabling casper-rw creation
  * disable snapd during dell-recovery run
  * add some missing instances of nopersistent
  * dell-bootstrap: use distro policy for swap (Fixes: #82) (LP: #1842325)
  * Drop swap fixup code

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 15 Oct 2019 10:41:02 -0500

=== debian/control ===
Source: dell-recovery
Section: utils
Priority: optional
Maintainer: Mario Limonciello <superm1@ubuntu.com>
XSBC-Original-Maintainer: Mario Limonciello <mario_limonciello@dell.com>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3,
               python3-distutils-extra,
               po-debconf,
               pyflakes3,
               lsb-release,
               gnu-efi (>= 3.0.2)
X-Python3-Version: >= 3.7
Homepage: http://github.com/superm1/dell-recovery
Vcs-Git: http://github.com/superm1/dell-recovery
Standards-Version: 4.4.0

Package: dell-recovery
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         dmidecode,
         dpkg-repack,
         fonts-dejavu-core,
         gir1.2-gtk-3.0,
         lzma | xz-utils (>= 5.1.1alpha+20120614-1) | xz-lzma,
         policykit-1,
         python3-apt,
         python3-dbus,
         python3-debian,
         python3-gi,
         udisks2,
         uuid-runtime,
Replaces: dell-artwork, dell-oobe
Conflicts: dell-oobe
Recommends: cryptsetup,
            dvd+rw-tools,
            isolinux,
            lsb-release,
            lvm2,
            mdadm (>> 4.1~rc1-2),
            parted,
            python3-progressbar,
            ttf-dejavu,
            usb-creator-gtk,
            wodim,
            xorriso
Enhances: oem-config-gtk, ubiquity-frontend-gtk
Suggests: grub-pc
Description: Dell Recovery Media Creation Package
 This package is used to produce a Dell recovery media image.
 It then uses known open source tools to write the image to
 a USB flash drive or DVD writer.

Package: dell-recovery-casper
Architecture: all
Depends: dell-recovery, casper, ${misc:Depends}
Recommends: ubiquity
Description: Dell Recovery Casper Hooks
 This package provides hooks to allow the dell-recovery
 bootstrap to run directly from casper without any other
 modifications to the media.

Package: dell-recovery-bootloader
Architecture: all
Depends: dell-recovery, ubiquity, ${misc:Depends}
Recommends: grub-efi-amd64-bin
Description: Bootloader configuration for Dell's factory process
 This package is used to generate GRUB2 configuration that is
 used in the Dell Linux factory installation process.
 .
 This package doesn't have much use outside of the Dell environment
 but is safe to install on other systems.

## dell-recovery 1.64

=== debian/changelog ===
dell-recovery (1.64) focal; urgency=medium

  [ Mario Limonciello ]
  * Update VCS URL to proper upstream URL
  * downgrade python requirement to 3.6 to allow bionic to work (Fixes: #87)
  * trivial: remove duplicated dependencies
  * update documentation

  [ Alex Tu ]
  * add dependencies for FDE

  [ chris Li Q ]
  * Add Dell Hybrid Client support

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 24 Mar 2020 08:38:04 -0500

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                pyflakes3,
                lsb-release,
                gnu-efi (>= 3.0.2)
-X-Python3-Version: >= 3.7
-Homepage: http://github.com/superm1/dell-recovery
-Vcs-Git: http://github.com/superm1/dell-recovery
+X-Python3-Version: >= 3.6
+Homepage: http://github.com/dell/dell-recovery
+Vcs-Git: http://github.com/dell/dell-recovery
 Standards-Version: 4.4.0
 
 Package: dell-recovery
@@ -35,17 +35,19 @@
 Replaces: dell-artwork, dell-oobe
 Conflicts: dell-oobe
 Recommends: cryptsetup,
+            cryptsetup-bin,
             dvd+rw-tools,
             isolinux,
             lsb-release,
             lvm2,
+            mokutil,
             mdadm (>> 4.1~rc1-2),
             parted,
             python3-progressbar,
             ttf-dejavu,
             usb-creator-gtk,
             wodim,
-            xorriso
+            xorriso,
 Enhances: oem-config-gtk, ubiquity-frontend-gtk
 Suggests: grub-pc
 Description: Dell Recovery Media Creation Package

## dell-recovery 1.66

=== po/Makefile ===

DOMAIN=dell-recovery
PO_FILES := $(wildcard *.po)

all: update-po

top_srcdir=../

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -r -g $(DOMAIN); 

# create mo from the POs
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot $(patsubst %.po,%.mo,$(wildcard *.po))

clean:
	rm -rf mo

=== secure_boot/Makefile ===
TOPDIR	?= $(shell pwd)/..
INSTALL         ?= install
MAKE            ?= make
CC              = $(CROSS_COMPILE)gcc
LD              = $(CROSS_COMPILE)ld
OBJCOPY         = $(CROSS_COMPILE)objcopy
READELF         = eu-readelf
ARCH            = $(shell $(CC) -dumpmachine | cut -f1 -d- | sed s,i[3456789]86,ia32,)
GNUEFIDIR	= /usr/lib

CFLAGS		?= -O0 -g3
BUILDFLAGS	:= $(CFLAGS) -fpic -Wall -fshort-wchar \
	-fno-strict-aliasing -fno-merge-constants -ffreestanding \
	-fno-stack-protector -fno-stack-check --std=c11 -DCONFIG_$(ARCH) \
	-I/usr/include/efi/ -I/usr/include/efi/$(ARCH)/ \
	-iquote$(TOPDIR)/include "-DDEBUGDIR=L\"$(DEBUGDIR)/\""
CCLDFLAGS	?= -nostdlib -Wl,--warn-common \
	-Wl,--no-undefined -Wl,--fatal-warnings \
	-Wl,-shared -Wl,-Bsymbolic -L$(LIBDIR) -L$(GNUEFIDIR) \
	-Wl,--build-id=sha1 -Wl,--hash-style=sysv \
	$(GNUEFIDIR)/crt0-efi-$(ARCH).o
OBJCOPY_GTE224 = $(shell expr `$(OBJCOPY) --version |grep ^"GNU objcopy" | sed 's/^.* //g' | cut -f1-2 -d.` \>= 2.24)


FORMAT = --target efi-app-x86_64
BUILDFLAGS += -mno-mmx -mno-sse -mno-red-zone -nostdinc \
		-maccumulate-outgoing-args -DEFI_FUNCTION_WRAPPER \
		-DGNU_EFI_USE_MS_ABI -I$(shell $(CC) -print-file-name=include)

TARGETS = MokSBStateSet.efi

all : $(TARGETS)

.SECONDARY: $(foreach target,$(TARGETS),$(target).debug $(target).build-id)

%.efi : %.so
ifneq ($(OBJCOPY_GTE224),1)
	$(error objcopy >= 2.24 is required)
endif
	$(OBJCOPY) -j .text -j .sdata -j .data -j .dynamic -j .dynsym \
		-j .rel* -j .rela* -j .reloc -j .eh_frame \
		$(FORMAT) $^ $@

%.efi.debug : %.so
ifneq ($(OBJCOPY_GTE224),1)
	$(error objcopy >= 2.24 is required)
endif
	$(OBJCOPY) -j .text -j .sdata -j .data -j .dynamic -j .dynsym \
		-j .rel* -j .rela* -j .reloc -j .eh_frame \
		-j .debug* -j .note.gnu.build-id \
		$^ $@

%.efi.build-id : %.so
	$(READELF) -n $^ | grep "Build ID:" | \
		sed -e 's/^.*Build ID: //' -e 's,^\(..\),\1/,' > $@

%.so : %.o
	$(CC) $(CCLDFLAGS) -o $@ $^ -lefi -lgnuefi \
		$(shell $(CC) -print-libgcc-file-name) \
		-T elf_$(ARCH)_efi.lds

%.o : %.c
	$(CC) $(BUILDFLAGS) -c -o $@ $^

clean :
	@rm -vf $(TARGETS) *.o *.so *.efi.signed *.efi *.efi.debug \
		*.efi.build-id

=== debian/changelog ===
dell-recovery (1.66) groovy; urgency=medium

  [ Shih-Yuan Lee (FourDollars)]
  * Try to install the platform factory meta package automatically.

  [ Yuan-Chen Cheng ]
  * sort disk name by type and size.
  * properly show disk with rst attribute.
  * don't show the page to create media if we run in automatic mode.
  * add a dev mode that's full-automatic in stage 1, 2 and recovery from hdd.

  [ Alex Tu ]
  * change NetworkManager dbus method from Sleep to Enable (Close #114)

  [ Mario Limonciello ]
  * Fix a crash in about dialog (LP: #1795705)
  * fix some issues with new pyflakes (LP: #1890819)

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 10 Aug 2020 21:32:14 -0500

dell-recovery (1.65) groovy; urgency=medium

  [ Alex Tu ]
  * filter the output of `ubuntu-drivers list`

  [ Li-Hao Liao (Leon Liao) ]
  * Retire the dell-$BIOS_ID-meta

  [ Yuan-Chen Cheng ]
  * fix model naming retrival for Intel® Optane Memory H10 with Solid State Storage, 32GB + 512GB

  [ Dimitri John Ledkov ]
  * Use the modern name for the dejavu font package

  [ Shih-Yuan Lee (FourDollars) ]
  * Using `dpkg-query -W $pkg` is unreliable.
  * Make the local archive in /dell/debs/ when using the customized installation without the recovery partition. (Closes: #105)
  * Only download language packs and their uninstalled dependent packages.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 16 Jun 2020 15:06:29 -0500

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
             mdadm (>> 4.1~rc1-2),
             parted,
             python3-progressbar,
-            ttf-dejavu,
+            fonts-dejavu,
             usb-creator-gtk,
             wodim,
             xorriso,

## dell-recovery 1.66.1

=== debian/changelog ===
dell-recovery (1.66.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)
  * setup.py: Removed clean command which was incompatible with Python 3.12

 -- Dave Jones <dave.jones@canonical.com>  Mon, 12 Aug 2024 13:09:54 +0100

=== debian/control ===
--- 
+++ 
@@ -50,6 +50,7 @@
             xorriso,
 Enhances: oem-config-gtk, ubiquity-frontend-gtk
 Suggests: grub-pc
+Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: Dell Recovery Media Creation Package
  This package is used to produce a Dell recovery media image.
  It then uses known open source tools to write the image to

=== debian/rules ===
#!/usr/bin/make -f

#optipng makes png's indexed which GRUB2 doesn't understand
export NO_PNG_PKG_MANGLE=1

%:
	dh $@ --with=python3 --buildsystem=pybuild

check:
	# Sanity-check before upload.
	find -name debian -prune -o -name \*.py -print | xargs py3compile
	find -type f \( -name \*.pyc -o -name \*.pyo \) -print0 | xargs -0r rm -f
	find -type d -name __pycache__ -print0 | xargs -0r rm -rf

	# Check the syntax of any shell scripts.
	set -e; for x in $$(find -type f -print0 | xargs -0 file -i | grep "text/x-shellscript" | cut -d':' -f1); do \
			sh -n $$x; \
	done
	# Check the syntax of any Python scripts.
	./tests/run-pyflakes

override_dh_clean: check
	dh_clean
	cd $(CURDIR)/po; make clean
	cd $(CURDIR)/secure_boot; make clean

## dell-recovery 1.66.1ubuntu1

=== debian/changelog ===
dell-recovery (1.66.1ubuntu1) oracular; urgency=medium

  * No change rebuild to ensure noble SRU is earlier (LP: #2075337)
  * setup.py: Removed clean command which was incompatible with Python 3.12

 -- Dave Jones <dave.jones@canonical.com>  Mon, 02 Sep 2024 12:45:29 +0100

## dell-recovery 1.67

=== debian/changelog ===
dell-recovery (1.67) plucky; urgency=medium

  * debian/control: Depends on polkitd and pkexec

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Nov 2024 13:21:14 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
          fonts-dejavu-core,
          gir1.2-gtk-3.0,
          lzma | xz-utils (>= 5.1.1alpha+20120614-1) | xz-lzma,
-         policykit-1,
+         polkitd,
+         pkexec,
          python3-apt,
          python3-dbus,
          python3-debian,
@@ -50,7 +51,6 @@
             xorriso,
 Enhances: oem-config-gtk, ubiquity-frontend-gtk
 Suggests: grub-pc
-Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: Dell Recovery Media Creation Package
  This package is used to produce a Dell recovery media image.
  It then uses known open source tools to write the image to

## dell-recovery 1.67build1

=== debian/changelog ===
dell-recovery (1.67build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 19:53:52 +0000
